### Constructor

# Gtk ConstantExpression new_for_value

#### Declaration [src]

    GtkExpression*
    gtk_constant_expression_new_for_value (
      const GValue* value
    )

#### Description [src]

Creates an expression that always evaluates to the given `value`.

#### Parameters

`value`

  Type: `GValue`

  A `GValue`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkConstantExpression`

A new `GtkExpression`

The caller of the function takes ownership of the data, and is responsible for freeing it.